Subject: "if" expression language
Description

"if" expression language - we need some expression language for IF

Associated revisions
Revision 4d158755 - 2009-06-06 08:45 - Sebastian Kurfuerst

    -  [+FEAT] Fluid (Core): Implemented a simple Expression Language which is used for boolean ViewHelper arguments. The language supports
statements of the form "XX Comparator YY", where Comparator is one of ==, %, >, >=, <, <= and XX/YY are an Object Accessor, an array, a
ViewHelper or a  number (NO string!). This expression language can be used always inside all boolean arguments of ViewHelpers. (fixes #3298)
    -  [+MISC] Fluid (Core): Added some comments to ObjectAccessorPostProcessorInterface
    -  [-FEAT] Fluid (ViewHelpers): Removed <f:exp.equals> ViewHelper. Please use the new expression language now. THIS WILL BREAK YOUR
TEMPLATE.
    -  Fluid (Documentation): Added a section about boolean expressions

History
#1 - 2009-05-22 08:55 - Susanne Moog

great would be something like <f:if condition="{params.myVar}" isGreaterThan="15"> (and of course additionally to isGreaterThan some other
operators ;-))

#2 - 2009-06-05 10:43 - Sebastian Kurfuerst
- Assigned To set to Sebastian Kurfuerst
- Target version set to 1.0.0 alpha 2

#3 - 2009-06-05 12:15 - Sebastian Kurfuerst
- Category set to Core
- Status changed from New to Accepted
- Branch set to v4 + v5

#4 - 2009-06-06 09:01 - Sebastian Kurfuerst
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2575.
